<?php
require_once('../inc/tumblroauth.php');
require_once('../inc/config.php');
require_once('../inc/process_class.php');
require_once('../inc/ChromePhp.php');
require_once('../inc/DB.php');

session_start();

if (empty($_SESSION['access_token']) || empty($_SESSION['access_token']['oauth_token']) || empty($_SESSION['access_token']['oauth_token_secret'])) {
  header('Location: inc/clearsessions.php');
}

$db     = DB::getInstance();
$mysqli = $db->getConnection();

$data = array();
$post_interval  = intval($_POST['qinterval']);
$queue_status   = "csv";

$queuename      = str_replace(" ", "", $_POST['queuename']);
$queuename      = str_replace("-", "", $queuename);
$blogname       = $_POST['blogname'];

$oauth_token = $_SESSION['access_token']['oauth_token'];
$oauth_token_secret = $_SESSION['access_token']['oauth_token_secret'];

if ( isset($_SESSION['userblog']) && $_SESSION['userblog'] !== '')
  $username     = $_SESSION['userblog'];
else
  $username     = "";

if (isset($_FILES) && count($_FILES) > 0) {
  $error = false;
  $csv_file = $_FILES[0];
  $row = 1;
  $result = array();
  if (($handle = fopen( $csv_file['tmp_name'], "r")) !== false) {
    while (($data = fgetcsv($handle, 1000, ",")) !== false) {
      $num= count($data);
      $row++;
      for($c=0; $c<$num; $c++) {
        $temp = explode(';', $data[$c]);
        $single['blogname'] = $temp[0];
        $single['postid'] = $temp[1];
        $single['reblog_key'] = $temp[2];
        array_push($result, $single);

      }
    }

    fclose($handle);
  }

  if (!empty($result)) {
    if (!$mysqli->query("SELECT 1 FROM $queuename LIMIT 1")) {
      $mysqli->query("CREATE TABLE IF NOT EXISTS $queuename (id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,oauth_token VARCHAR(100),oauth_token_secret VARCHAR(100), post_interval INT, blogname VARCHAR(100),postid VARCHAR(50),reblog_key VARCHAR(50)) ENGINE=InnoDB");
  
      $stmt = $mysqli->prepare("INSERT INTO queues (queuename, username, toblog, fromblog, queue_interval, status) VALUES (?, ?, ?, ?, ?, ?)");
      $stmt->bind_param('ssssds', $queuename, $username, $blogname, $result[0]['blogname'], $post_interval, $queue_status);
      $stmt->execute();
      $stmt->close();
    }

    shuffle($result);

    foreach ($result as $post) {
      $stmt = $mysqli->prepare("INSERT INTO $queuename (oauth_token, oauth_token_secret, post_interval, blogname, postid, reblog_key) VALUES (?, ?, ?, ?, ?, ?)");
      $stmt->bind_param('ssdsss', $oauth_token, $oauth_token_secret, $post_interval, $blogname, $post['postid'], $post['reblog_key']);
      $stmt->execute();
      $stmt->close();
    }
  }

  mysqli_close($mysqli);

  $cmd     = '/opt/cpanel/ea-php56/root/usr/bin/php process.php ' . $queuename;

  ChromePhp::log($cmd);
  $process = new Process($cmd);
  $process->start();
  if ($process->status()) {
    ChromePhp::log("The process is currently running");
  } else {
    ChromePhp::log("The process is not running.");
  }

  $response['success']    = true;
  $response['message']    = 'Success!';
} else {
  echo "Empty File Content";
  $response['success']    = false;
  $response['message']    = 'Failed!';
}

echo json_encode($response); 
exit;

?>