<?php
error_reporting(E_ALL);
session_start();
require_once('../inc/tumblroauth.php');
require_once('../inc/config.php');
require_once('../inc/process_class.php');
require_once('../inc/ChromePhp.php');
require_once('../inc/DB.php');

if (empty($_SESSION['access_token']) || empty($_SESSION['access_token']['oauth_token']) || empty($_SESSION['access_token']['oauth_token_secret'])) {
  header('Location: ../inc/redirect.php');
}

$access_token   = $_SESSION['access_token'];
$sourceblog     = str_replace(" ", "", $_POST['sourceblog']);
$interval       = intval($_POST['interval']);
$destination    = $_POST['blogname'];
$tag            = $_POST['tag'];
$time           = strval(time());
$trackerType    = "delete_blog";

if ( isset($_SESSION['userblog']) && $_SESSION['userblog'] !== '')
  $username     = $_SESSION['userblog'];
else
  $username     = "";

$db     = DB::getInstance();
$mysqli = $db->getConnection();

if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

$errors = array(); 
$data   = array(); 

$stmt   = $mysqli->prepare("INSERT INTO trackers (oauth_token, oauth_token_secret, username, source, destination, post_interval, 
    tag, tracker_type, last_access) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
$stmt -> bind_param('sssssdsss', $access_token['oauth_token'], $access_token['oauth_token_secret'], $username, $sourceblog, $destination, 
    $interval, $tag, $trackerType, $time);

$stmt -> execute();
$stmt -> close();

$output = shell_exec('crontab -l');

$output = $output.'*/'.$interval.' * * * * /opt/cpanel/ea-php56/root/usr/bin/php ' .BASE_FOLDER_NAME. '/scripts/deleteBlogProcess.php '.$mysqli->insert_id.' >> ' .BASE_FOLDER_NAME. '/deleteBlog.txt 2> /dev/null'.PHP_EOL;

file_put_contents('/home/tagblrco/crontab.txt', $output);
echo exec('crontab /home/tagblrco/crontab.txt');

mysqli_close($mysqli);

if (!empty($errors)) {
    $data['success'] = false;
    $data['errors']  = $errors;
} else {
    $data['success'] = true;
    $data['message'] = 'Success!';
}

echo json_encode($data);
exit();
?>