<?php
set_time_limit(0);

$base_dir = "test_script";
require_once('/home/tagblrco/public_html/Rc01/inc/tumblroauth.php');
require_once('/home/tagblrco/public_html/Rc01/inc/config.php');

$queuename = "r";

if ($argc >= 2) { //so $argc=2 means 1 argument
    $queuename = $argv[1];
}

$mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);

if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}
$query = "SELECT * FROM $queuename";
$query1 = "SELECT * FROM queues WHERE queuename = '$queuename'";

$result = mysqli_query($mysqli, $query);

if($result) {
    if($row = mysqli_fetch_assoc($result)) {
        $connection = new TumblrOAuth(CONSUMER_KEY, CONSUMER_SECRET, $row["oauth_token"], $row["oauth_token_secret"]);
        $id= $row["id"];
        $postid= $row["postid"];
        $reblogKey = $row["reblog_key"];
        
        $result1       = mysqli_query($mysqli, $query1);
        $row1          = mysqli_fetch_assoc($result1);

        $addingTag     = $row1["adding_tag"];
        
        echo "\n" . $addingTag . "<-------> Tag name\n";
        echo $postid."\n";
        echo $reblogKey . "\n";
        echo "blog name=>" . $row["blogname"] . " : queue name=>" .$queuename."\n";
        $dest = $row["blogname"];
        $post_res = false;

        empty($addingTag) ? $reqParam = array(
            'id' => $row["postid"],
            'reblog_key' => $row["reblog_key"]
            ) 
        : $reqParam = array(
            'id' => $row["postid"],
            'reblog_key' => $row["reblog_key"],
            'tags' => $addingTag
        );
        $status = $connection->post('blog/'.$dest.'.tumblr.com/post/reblog', $reqParam);

        if (isset($status["meta"]) && ($status["meta"]["msg"]=="Created")){
            $post_res = true;
        } else {
            echo "========================================================\n";
            var_dump($status); echo "\n";
            $mysqli->query("DELETE FROM $queuename WHERE id = $id");
            echo "Post Deleted\n";
            echo "========================================================\n";
        }

        if ($post_res) {
            $delete_res = $mysqli->query("DELETE FROM $queuename WHERE id = $id");
            echo "Post Success \n";
        }
    }

    mysqli_free_result($result);
}

mysqli_close($mysqli);

?>