<?php 
require_once('header.php');
?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="x_panel">
        <div class="x_title">
            <h2>Track Blog</h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <br>
            <form id="track_blog" data-parsley-validate="" class="form-horizontal form-label-left" novalidate="">
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please select your blog to queue posts</p>
                        <select id="blog" class="form-control" name="blog">
                            <option>Choose blogs to queue ...</option>
                                <?php
                                    foreach ($blogs as $blog) {
                                        echo "<option value='" . $blog . "'>".$blog."</option>";
                                    }             
                                ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="input_blog" class="control-label col-md-3 col-sm-3 col-xs-12" ><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Input the blog you want to track </p>
                        <input type="text" id="input_blog" name="blog_to_track" required="required" class="form-control col-md-7 col-xs-12" placeholder="Blog name">
                    </div>
                </div>
                <div class="form-group">
                    <label for="fetch-interval" class="control-label col-md-3 col-sm-3 col-xs-12" ></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="fetch-interval" name="fetch_interval" required="required" class="form-control col-md-7 col-xs-12" placeholder="Fetch Interval (units: minute)">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="post-interval"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="post-interval" name="post_interval" required="required" class="form-control col-md-7 col-xs-12" placeholder="Post Interval (units: minute)">
                    </div>
                </div>
                <div class="form-group">
                    <label for="tag" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="tag" class="form-control col-md-7 col-xs-12" name="track_tag" placeholder="Tag">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <select id="type" class="form-control" name="track_type">
                            <option>Choose type option ...</option>
                            <option value="text">Text</option>
                            <option value="quote">Quote</option>
                            <option value="link">Link</option>
                            <option value="answer">Answer</option>
                            <option value="video">Video</option>
                            <option value="audio">Audio</option>
                            <option value="photo">Photo</option>
                            <option value="chat">Chat</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="number-notes" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="number-notes" class="form-control col-md-7 col-xs-12" name="track_notecount" placeholder="Number of Notes">
                    </div>
                </div>
                <div class="form-group">
                    <label for="input_blog" class="control-label col-md-3 col-sm-3 col-xs-12" ></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please input Comma-separated tags for this post</p>
                        <input type="text" id="input_tag" name="input_tag" class="form-control col-md-7 col-xs-12" placeholder="Tag name">
                    </div>
                </div>
                <div class="ln_solid"></div>
                <div class="form-group">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                        <button type="submit" class="btn btn-success" id="track_blg">Track</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /page content -->

<?php 
require_once('footer.php');
?>