<?php

/* Start session and load library. */
session_start();
require_once('tumblroauth.php');
require_once('config.php');

/* Build TumblrOAuth object with client credentials. */
$connection = new TumblrOAuth(CONSUMER_KEY, CONSUMER_SECRET);

/* Get temporary credentials. */
$requestAb = $connection->getRequestToken(OAUTH_CALLBACK);

$parts = parse_url($requestAb);
parse_str($parts['path'], $query_params);


 $request_token = $requestAb;
// var_dump($request_token);
 // $exString = explode("&",$request_token);
 //
 // echo $exString;
/* Save temporary credentials to session. */
$_SESSION['oauth_token'] = $token = $query_params['oauth_token'];
$_SESSION['oauth_token_secret'] = $query_params['oauth_token_secret'];

/* If last connection failed don't display authorization link. */
switch (200) {
  case 200:
    /* Build authorize URL and redirect user to Twitter. */
    $url = $connection->getAuthorizeURL($token);
    //echo $url;
    header('Location: ' . $url);
    break;
  default:
    /* Show notification if something went wrong. */
    echo 'Could not connect to Tumblr. Refresh the page or try again later.';
}
