<?php
set_time_limit(0);
require_once('../inc/tumblroauth.php');
require_once('../inc/config.php');

$queuename="r";
if ($argc >= 2) { //so $argc=2 means 1 argument
   $queuename = $argv[1];
}
file_put_contents(BASE_FOLDER_NAME. "/process_log.txt", "process running!\n");

$mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);

if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

$query  = "SELECT * FROM $queuename";
$query1 = "SELECT * FROM queues WHERE queuename = '$queuename'";
$id     = "";

while ($result = mysqli_query($mysqli, $query)) {
    file_put_contents(BASE_FOLDER_NAME. "/process_log.txt", "Correctly working!\n");
    if( $row = mysqli_fetch_assoc($result)) {
        $connection    = new TumblrOAuth(CONSUMER_KEY, CONSUMER_SECRET, $row["oauth_token"], $row["oauth_token_secret"]);
        $post_interval = $row["post_interval"];
        $id            = $row["id"];
        $result1       = mysqli_query($mysqli, $query1);
        $row1          = mysqli_fetch_assoc($result1);
        
        if(isset($row1["queue_interval"]))
            $post_interval = $row1["queue_interval"];

        if ($post_interval < 5) {
            $post_interval = 5;
        }
        
        $addingTag     = $row1["adding_tag"];
        $post_interval = $post_interval * 60;
        
        file_put_contents(BASE_FOLDER_NAME. "/process_log.txt", $post_interval . "queue name!\n");
        
        $postid = $row["postid"];

        $query2 = "SELECT * FROM prev_posts WHERE post_id = '$postid'";
        
        if($result2 = mysqli_query($mysqli, $query2)) {
            if( $row2 = mysqli_fetch_assoc($result2)) {
                $delete_res = $mysqli->query("DELETE FROM $queuename WHERE id = $id");
                continue;
            }
        }

        empty($addingTag) ? $reqParam = array(
                'id' => $row["postid"],
                'reblog_key' => $row["reblog_key"]
                ) 
            : $reqParam = array(
                'id' => $row["postid"],
                'reblog_key' => $row["reblog_key"],
                'tags' => $addingTag
            );
        $status = $connection->post('blog/'.$row["blogname"].'.tumblr.com/post/reblog', $reqParam);
        
        var_dump($status);

        if(isset($status["meta"]) && ($status["meta"]["msg"]=="Created")) {
            $stmt = $mysqli->prepare("INSERT INTO prev_posts VALUES (?, ?, ?)");
            $stmt->bind_param('sss',$row["postid"],$row["blogname"] ,$row["reblog_key"]);
                $stmt->execute();
                $stmt->close();
            
            $delete_res = $mysqli->query("DELETE FROM $queuename WHERE id = $id");
            var_dump("deleted and sleep");
            var_dump( $post_interval);  
            sleep(intval($post_interval));
            var_dump("wake");
        }
        var_dump("one done"); 
        $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    } else {
        break;
    }
}

var_dump("all done");

if(isset($result) && $result!=null) {
    mysqli_free_result($result);
}

$result = $mysqli->query("DELETE FROM `queues` WHERE queuename = '$queuename'");

$result = $mysqli->query('DROP TABLE IF EXISTS '.$queuename);

mysqli_close($mysqli);