<?php 
require_once('header.php');
?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="x_panel">
        <div class="x_title">
            <h2>Multiple Blogs Post</h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <br>
            <form id="multi_blogs" data-parsley-validate="" class="form-horizontal form-label-left" novalidate="">
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12"><span>*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please select your blog to queue posts</p>
                        <select id="blog" class="form-control" name="blog">
                            <option value="">Choose blogs to queue ...</option>
                                <?php
                                    foreach ($blogs as $blog) {
                                        echo "<option value='" . $blog . "'>".$blog."</option>";
                                    }           
                                ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="input_blog" class="control-label col-md-3 col-sm-3 col-xs-12" ></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please input blogs to fetch posts from</p>
                        <input type="text" id="input_blog" name="input_blog" required="required" class="form-control col-md-7 col-xs-12" placeholder="Blog name">
                    </div>
                </div>
                <div class="form-group">
                    <label for="name-queue" class="control-label col-md-3 col-sm-3 col-xs-12" ><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="name-queue" name="queuename" required="required" class="form-control col-md-7 col-xs-12" placeholder="Name of the Queue">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="queue-interval"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="queue-interval" name="qinterval" required="required" class="form-control col-md-7 col-xs-12" placeholder="Queue Interval  (units: minute)">
                    </div>
                </div>
                <div class="form-group">
                    <label for="tag" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="tag" class="form-control col-md-7 col-xs-12" name="tag" placeholder="Tag">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <select id="type" class="form-control" name="type">
                            <option>Choose type option ...</option>
                            <option value="text">Text</option>
                            <option value="quote">Quote</option>
                            <option value="link">Link</option>
                            <option value="answer">Answer</option>
                            <option value="video">Video</option>
                            <option value="audio">Audio</option>
                            <option value="photo">Photo</option>
                            <option value="chat">Chat</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="number-notes" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="number-notes" class="form-control col-md-7 col-xs-12" name="notecount" placeholder="Number of Notes">
                    </div>
                </div>
                <div class="form-group">
                    <label for="since_" class="control-label col-md-3 col-sm-3 col-xs-12"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12 xdisplay_inputx form-group">
                        <input type="text" class="form-control" id="since" placeholder="Fetch posts since ex: mm/dd/yyyy" name="since">
                    </div>
                </div>
                <div class="form-group">
                    <label for="until_" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                        <div class="col-md-6 col-sm-6 col-xs-12 xdisplay_inputx form-group">
                            <input type="text" class="form-control" name="until" id="until" placeholder="Fetch posts until ex: mm/dd/yyyy">
                        </div>
                </div>
                <div class="form-group">
                    <label for="limit" class="control-label col-md-3 col-sm-3 col-xs-12"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="limit" class="form-control col-md-7 col-xs-12" name="limit" placeholder="Number of posts to fetch" required="required">
                    </div>
                </div>
                <div class="form-group">
                    <label for="repeat" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="repeat" id="repeat" class="form-control col-md-7 col-xs-12" name="repeat" placeholder="Duplicate number">
                    </div>
                </div>
                <div class="form-group">
                    <label for="input_blog" class="control-label col-md-3 col-sm-3 col-xs-12" ></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please input Comma-separated tags for this post</p>
                        <input type="text" id="input_tag" name="input_tag" class="form-control col-md-7 col-xs-12" placeholder="Tag name">
                    </div>
                </div>
                <div class="ln_solid"></div>
                <div class="form-group">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                        <button type="button" class="btn btn-primary" id="save_queue">Save</button>
                        <button type="button" class="btn btn-primary" id="export_csv">Exports</button>
                        <button type="submit" class="btn btn-success" id="multiple_posts">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /page content -->
<?php 
require_once('footer.php');
?>