<?php 
    require_once('header.php');

    $db     = DB::getInstance();
    $mysqli = $db->getConnection();

    if (mysqli_connect_errno()) {
        printf("Connect failed: %s\n", mysqli_connect_error());
        exit();
    }

?>

<!-- page content -->
<div class="right_col" role="main">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Queue</small></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content" id="tbl_list">
                            <table id="datatable" class="table table-striped table-bordered bulk_action">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Queue Name</th>
                                        <th>Blog Name</th>
                                        <th>Body</th>
                                        <th>Type</th>
                                        <th>Notecount</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if (isset($_GET['queue'])) {
                                            $queuename = $_GET['queue'];
                                        
                                            if ($result = $mysqli->query("SELECT *  FROM $queuename")) {
                                                while($obj = $result->fetch_object()) {
                                                    if (isset($obj->type)) {
                                                        switch ($obj->type) {
                                                            case 'text':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td>' . $obj->body . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount . 
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>';
                                                                break;
                                            
                                                            case 'audio':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td>' . $obj->external_url . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>'; 
                                                                    break;
                                            
                                                            case 'video':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td>' . $obj->embed . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>'; 
                                                                break;
                                            
                                                            case 'quote':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td>' . $obj->quote . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>'; 
                                                                break;
                                            
                                                            case 'link':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td>' . $obj->title . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>'; 
                                                                break;
                                            
                                                            case 'chat':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td>' . $obj->conversation . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>'; 
                                                                break;
                                            
                                                            case 'photo':
                                                                echo '<tr><td>' . $obj->id . '</td><td>' . $queuename . '</td><td>' . $obj->blogname . '</td><td><img width="100%" src="'.$obj->source.'"></td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                                    '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>';
                                                                break;
                                            
                                                            default:
                                                                break;
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /page content -->


<?php 
    require_once('footer.php');
?>